import javax.swing.*;

class fb extends f_x
{ public double func(double x)
   { return x*x-5.0;}}

public class H9Ex3a {
public static void main(String args[])
{ fb ff=new fb();
  double x=1.0;
 String s="x ="+x+"\n derivative df/dx = "+numerical.derivative(ff,x);
 String s1=" indirect referencing and abstract class example :";
 JOptionPane.showMessageDialog(null,s,s1,JOptionPane.PLAIN_MESSAGE);
}
}
